Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni
Interface Augmentations

All Known Implementing Classes:
  AugmentationsImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public interface Augmentations

The Augmentations interface defines a table of additional data that may be passed along the document pipeline. The information can contain extra arguments or infoset augmentations, for example PSVI. This additional information is identified by a String key.

Note: Methods that receive Augmentations are required to copy the information if it is to be saved for use beyond the scope of the method. The Augmentations content is volatile, and maybe modified by any method in any component in the pipeline. Therefore, methods passed this structure should not save any reference to the structure.

Method Summary
`void` | `clear()` Deprecated. Remove all objects from the Augmentations structure.
`Object` | `getItem(String key)` Deprecated. Get information identified by a key from the Augmentations structure
`Enumeration` | `keys()` Deprecated. Returns an enumeration of the keys in the Augmentations structure
`Object` | `putItem(String key, Object item)` Deprecated. Add additional information identified by a key to the Augmentations structure.
`Object` | `removeItem(String key)` Deprecated. Remove additional info from the Augmentations structure

Method Detail

### putItem

    Object putItem(String key,
                   Object item)

  Deprecated.
  Add additional information identified by a key to the Augmentations structure.

  Parameters:
    `key` - Identifier, can't be `null`
    `item` - Additional information
  Returns:
    the previous value of the specified key in the Augmentations structure, or `null` if it did not have one.

### getItem

    Object getItem(String key)

  Deprecated.
  Get information identified by a key from the Augmentations structure

  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    the value to which the key is mapped in the Augmentations structure; `null` if the key is not mapped to any value.

### removeItem

    Object removeItem(String key)

  Deprecated.
  Remove additional info from the Augmentations structure

  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    the previous value of the specified key in the Augmentations structure, or `null` if it did not have one.

### keys

    Enumeration keys()

  Deprecated.
  Returns an enumeration of the keys in the Augmentations structure

### clear

    void clear()

  Deprecated.
  Remove all objects from the Augmentations structure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD